Bug 2084441

Summary: [IPI-Azure]fail to check the vm capabilities in install cluster
Product: OpenShift Container Platform Reporter: MayXu <maxu>
Component: InstallerAssignee: Rafael Fonseca <rdossant>
Installer sub component: openshift-installer QA Contact: MayXu <maxu>
Status: CLOSED ERRATA Docs Contact:
Severity: medium    
Priority: medium CC: anarayan, rdossant
Version: 4.11Keywords: TestBlocker
Target Milestone: ---   
Target Release: 4.11.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-08-10 11:11:30 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description MayXu 2022-05-12 07:15:30 UTC
Description: install private cluster (publish: Internal) with vm_type_workers: "Standard_E8-4ds_v4" failed by checking the vm capabilities. 

Steps to Reproduce:
Install private cluster (publish: Internal) with the computer vm type "Standard_E8-4ds_v4"
Got failure: level=error msg=failed to fetch Master Machines: failed to load asset "Install Config": failed to create install config: compute[0].platform.azure.type: Invalid value: "Standard_E8-4ds_v4": capability not found: PremiumIO

Expect: install cluster to succeed. 

Version:
registry.ci.openshift.org/ocp/release:4.11.0-0.nightly-2022-05-11-054135

How reproducible:
Always

Ref: https://docs.openshift.com/container-platform/4.10/installing/installing_azure/installing-azure-private.html#installation-azure-config-yaml_installing-azure-private
https://github.com/openshift/installer/pull/5846/files
Checked on public cluster (publish External) with vm_type_workers: Standard_E8-4ds_v4, succeed.

Comment 1 Rafael Fonseca 2022-05-17 16:55:41 UTC
Can you share the install-config.yaml used?

Comment 4 Rafael Fonseca 2022-05-17 19:52:16 UTC
Thank you. The install-config confirms my suspicion that the problem happens when the disk type is not "Premium_LRS". The error message reported is misleading. And the issue is not restricted to private clusters.

Comment 8 errata-xmlrpc 2022-08-10 11:11:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069